Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED] Plasma update (KDEPackageAppTemplates is not found)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
AlexanderKh
n00b
n00b


Joined: 21 Nov 2014
Posts: 20
Location: Ukraine

PostPosted: Sun Jan 17, 2016 3:18 pm    Post subject: [SOLVED] Plasma update (KDEPackageAppTemplates is not found) Reply with quote

emerge --info '=kde-frameworks/plasma-5.18.0::gentoo'

emerge -pqv '=kde-frameworks/plasma-5.18.0::gentoo'

/var/tmp/portage/kde-frameworks/plasma-5.18.0/temp/build.log

Can anyone help? Is it a bug?


Last edited by AlexanderKh on Thu Jan 21, 2016 1:57 am; edited 1 time in total
Back to top
View user's profile Send private message
ulenrich
Veteran
Veteran


Joined: 10 Oct 2010
Posts: 1371

PostPosted: Mon Jan 18, 2016 2:56 am    Post subject: Reply with quote

Maybe a more recent version of cmake is needed. The easy way would be to use the Gentoo testing release instead of your own mix. For example you need to know which c++ abi kde uses: if your old gcc works with the one needed.
_________________
fun2gen2
Back to top
View user's profile Send private message
kensington
Developer
Developer


Joined: 02 Jan 2013
Posts: 175
Location: Australia

PostPosted: Mon Jan 18, 2016 8:16 am    Post subject: Reply with quote

Do you have kde-frameworks/extra-cmake-modules-9999 installed? If so, you will need to rebuild it or switch back to the release version.
Back to top
View user's profile Send private message
AlexanderKh
n00b
n00b


Joined: 21 Nov 2014
Posts: 20
Location: Ukraine

PostPosted: Mon Jan 18, 2016 10:33 am    Post subject: Reply with quote

I have switched extra-cmake-modules to 5.18.0.

A also changed /etc/portage/package.accept_keywords/custom

Now I have another error: /var/tmp/portage/kde-frameworks/plasma-5.18.0/temp/build.log

[ebuild U ~] dev-util/cmake-3.4.1::gentoo [3.3.1-r1::gentoo] USE="ncurses qt5 -doc -emacs -qt4 -system-jsoncpp {-test}" 6,565 KiB does nothing in this case.
Back to top
View user's profile Send private message
kensington
Developer
Developer


Joined: 02 Jan 2013
Posts: 175
Location: Australia

PostPosted: Mon Jan 18, 2016 10:43 am    Post subject: Reply with quote

Looks like the same problem, but with kde-frameworks/knotifications this time.

This sort of problem can happen easily with live ebuilds if they're not updated regularly. You might consider running emerge --ask @live-rebuild to rebuild all your live ebuilds, or use app-portage/smart-live-rebuild to rebuild just those that have seen upstream changes.

Alternatively, if you don't need the live versions you might consider sticking to releases. There's a new kde-frameworks release very month so it's always pretty fresh.
Back to top
View user's profile Send private message
AlexanderKh
n00b
n00b


Joined: 21 Nov 2014
Posts: 20
Location: Ukraine

PostPosted: Mon Jan 18, 2016 2:15 pm    Post subject: Reply with quote

app-portage/smart-live-rebuild has done the trick. Thank you a lot!

My new problem is plasma-desktop-5.5.3

I also noticed that there are some preserved libs in my system

However, emerge kdepimlibs (15.08.3) fails
Back to top
View user's profile Send private message
kensington
Developer
Developer


Joined: 02 Jan 2013
Posts: 175
Location: Australia

PostPosted: Mon Jan 18, 2016 2:29 pm    Post subject: Reply with quote

build log wrote:
x86_64-pc-linux-gnu-g++: internal compiler error: Killed (program cc1plus)

Probably ran out of memory - try again with lower MAKEOPTS.

AlexanderKh wrote:
However, emerge kdepimlibs (15.08.3) fails

kde-apps/kdepimlibs-15.08.3:5 is experimental which is why it's hard masked. It's not a drop-in replacement for kdepimlibs-4.14.8:4.
Back to top
View user's profile Send private message
AlexanderKh
n00b
n00b


Joined: 21 Nov 2014
Posts: 20
Location: Ukraine

PostPosted: Tue Jan 19, 2016 7:20 am    Post subject: Reply with quote

Yes, lowering MAKEOPTS helped. By the way, I cannot understand why memory run out. I have 4 Gb on board. There is no SWAP, since I have SSD disk. The same issue often happens with qtwebkit so I forced to lower MAKEOPTS each time.

As for kdepimlibs-4.14.10.tar.xz, it cannot be downloaded as it even does not exist on servers, please look at emerge @preserved-rebuild
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6825
Location: Austria

PostPosted: Tue Jan 19, 2016 8:14 am    Post subject: Reply with quote

Code:
emerge: there are no ebuilds to satisfy ">=kde-base/kdepimlibs-4.14.3:4[aqua=]".
(dependency required by "kde-apps/drkonqi-15.12.0::kde" [ebuild])

Please sync your overlays.

Code:
>>> Downloading 'rsync://rsync.pl.gentoo.org/gentoo-portage/distfiles/kdepimlibs-4.14.10.tar.xz'

receiving incremental file list
rsync: change_dir "/distfiles" (in gentoo-portage) failed: No such file or directory (2)

Please fix your Gentoo mirrors.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
vootey
n00b
n00b


Joined: 24 Jul 2010
Posts: 40
Location: Austria

PostPosted: Tue Jan 19, 2016 1:47 pm    Post subject: Reply with quote

AlexanderKh wrote:
By the way, I cannot understand why memory run out. I have 4 Gb on board. There is no SWAP, since I have SSD disk.

Actually from what you tell, it's pretty understandable.
4 GB is not much and don't having SWAP is not a good idea (and not at all a good idea if you don't have much memory anyway).
Back to top
View user's profile Send private message
AlexanderKh
n00b
n00b


Joined: 21 Nov 2014
Posts: 20
Location: Ukraine

PostPosted: Wed Jan 20, 2016 3:34 am    Post subject: Reply with quote

Thanks, genstorm, the issue has been completely resolved.
vootey wrote:
Actually from what you tell, it's pretty understandable. 4 GB is not much and don't having SWAP is not a good idea (and not at all a good idea if you don't have much memory anyway).

As far as I know, using SWAP may be hurtful for SSD disk. So the only solution is to add more RAM?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum